### Method

# GObject Value reset

#### Declaration

    GValue*
    g_value_reset (
      GValue* value
    )

#### Description

Clears the current value in `value` and resets it to the default value (as if the value had just been initialized).

#### Return value

Type: `GValue`

The `GValue` structure that has been passed in.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.